export default class ScriptPusher {
    private readonly force;
    private readonly scriptName;
    private readonly srcPath;
    constructor(explicitName: string, force: boolean, srcPath: string);
    push(): Promise<void>;
    private getScriptName;
}
